# one of the thigns we didn't cover in our initial presentation of for-loops in our lectures
# was *while* loops
# often all you really want is iteration with a for loop but while loops are really good for
# + game loops
# + asking for input repeatedly
# + just really anything where you need to make a program that's interactive
# so we're actually going to take the code at the end of ifExample.py, where it says
# that if you don't enter either left, right, or straight it doesn't understand
# and now we're going to adapt this code so it keeps asking until it gets an answer

# so we're going to have a variable that holds whether or not we've gotten a legitimate answer
validAnswer = False


print(""" You suddenly find yourself in a text adveture game from the 1970s. Your world goes dark and then suddenly there is text that appears in front of you:

You have entered the Castle of the Python

Do you:
 + go left into the hallway that smells like wet dog
 + go right and down the cellar that's leaking candle wax??
 + go straight and into the throne room that keeps play vineboom.mp3

Please enter one of: left, right, straight""")

#now we're just going to do this in a really easy way which is that we just take our old code and
#slap it inside the while loop

while not validAnswer:
    response = input(">> ")
    if response == "left":
        print("You go left and are confronted by an irish wolfhound that rolled in *something*")
        validAnswer = True
    elif response == "right":
        print("You go right and down the cellar and come across the infamous Yankee Candle Beast")
        validAnswer = True
    elif response == "straight":
        print("This throne room is very loud and kinda played out")
        validAnswer = True
    else:
        print("Didn't really catch that: can you try again?")
